Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiChatCompletionTool

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiChatCompletionTool

@Deprecated public class OpenAiChatCompletionTool extends Object
Deprecated.
OpenAI tool signature.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `OpenAiChatCompletionTool.ToolType`
  Deprecated.
  The type of the tool.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiChatCompletionTool()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  `OpenAiChatCompletionTool`
  `setFunction(OpenAiChatCompletionFunction function)`
  Deprecated.
  Use to force the model to call a specific function.
  `OpenAiChatCompletionTool`
  `setType(OpenAiChatCompletionTool.ToolType type)`
  Deprecated.
  Specifies a tool the model should use.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiChatCompletionTool

    public OpenAiChatCompletionTool()
    Deprecated.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### setType

    public OpenAiChatCompletionTool setType(@Nonnull OpenAiChatCompletionTool.ToolType type)
    Deprecated.
    Specifies a tool the model should use. Use to force the model to call a specific function.
    Returns:
      `this`.

  - ### setFunction

    public OpenAiChatCompletionTool setFunction(@Nonnull OpenAiChatCompletionFunction function)
    Deprecated.
    Use to force the model to call a specific function.
    Returns:
      `this`.